"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var src_1 = __importDefault(require("../src"));
describe('unrepeat', function () {
    it('should work with single character string', function () {
        var char = 'a';
        var repCount = 1;
        var result = src_1.default(char.repeat(repCount));
        expect(result.repeated).toEqual(char);
        expect(result.count).toEqual(repCount);
    });
    it('should work with single character repeats', function () {
        var char = 'a';
        var repCount = 50;
        var result = src_1.default(char.repeat(repCount));
        expect(result.repeated).toEqual(char);
        expect(result.count).toEqual(repCount);
    });
    it('should work with even number of characters', function () {
        var char = 'ab';
        var repCount = 5;
        var result = src_1.default(char.repeat(repCount));
        expect(result.repeated).toEqual(char);
        expect(result.count).toEqual(repCount);
    });
    it('should work with no repeats', function () {
        var char = 'test';
        var repCount = 1;
        var result = src_1.default(char.repeat(repCount));
        expect(result.repeated).toEqual(char);
        expect(result.count).toEqual(repCount);
    });
    it('should work with big number of repeats', function () {
        var char = 'test';
        var repCount = 2 * 3 * 5 * 7 * 11 * 13 * 17 * 19 * 23;
        var result = src_1.default(char.repeat(repCount));
        expect(result.repeated).toEqual(char);
        expect(result.count).toEqual(repCount);
    });
    it('should work with empty strings', function () {
        var char = '';
        var repCount = 1;
        var result = src_1.default(char.repeat(repCount));
        expect(result.repeated).toEqual(char);
        expect(result.count).toEqual(repCount);
    });
    describe('chck for the strings whose length is a prime number', function () {
        it('should work for not repeated strings', function () {
            var prime = 76521967;
            var char = 'A';
            var text = char.repeat(prime - 1) + 'B';
            var result = src_1.default(text);
            expect(result.repeated).toEqual(text);
            expect(result.count).toEqual(1);
        });
        it('should work for repeated strings', function () {
            var prime = 76521967;
            var char = 'A';
            var result = src_1.default(char.repeat(prime));
            expect(result.repeated).toEqual(char);
            expect(result.count).toEqual(prime);
        });
    });
});
