"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../src/util");
describe('isPrime', function () {
    it('should return true for 2', function () {
        expect(util_1.isPrime(2)).toBe(true);
    });
    it('should return false for numbers < 2', function () {
        expect(util_1.isPrime(1)).toBe(false);
        expect(util_1.isPrime(0)).toBe(false);
        expect(util_1.isPrime(-1)).toBe(false);
        expect(util_1.isPrime(-7)).toBe(false);
    });
    it('should return false for even numbers > 2', function () {
        expect(util_1.isPrime(4)).toBe(false);
        expect(util_1.isPrime(20)).toBe(false);
        expect(util_1.isPrime(40)).toBe(false);
        expect(util_1.isPrime(100)).toBe(false);
    });
    it('should return false for odd numbers which are not prime', function () {
        expect(util_1.isPrime(9)).toBe(false);
        expect(util_1.isPrime(27)).toBe(false);
        expect(util_1.isPrime(9523371)).toBe(false);
        expect(util_1.isPrime(89525673)).toBe(false);
    });
    it('should return true for prime numbers', function () {
        expect(util_1.isPrime(3)).toBe(true);
        expect(util_1.isPrime(5)).toBe(true);
        expect(util_1.isPrime(7)).toBe(true);
        expect(util_1.isPrime(11)).toBe(true);
        expect(util_1.isPrime(89)).toBe(true);
        expect(util_1.isPrime(97)).toBe(true);
        expect(util_1.isPrime(6523757)).toBe(true);
        expect(util_1.isPrime(76521967)).toBe(true);
    });
});
